Issue 119544 - [From Symphony] sequence number is not displayed when open docx
[From Symphony] sequence number is not displayed when open docx
Status: CLOSED FIXED
Product: Writer
Classification: Application
Component: formatting
OOo 3.4 Beta
PC All
: P3 normal (vote)
: 4.0.0
Assigned To: jsc
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 03:12 UTC by zongdj
Modified: 2012-10-09 08:17 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
sample (170.18 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-05-30 03:12 UTC, zongdj
no flags Details
Fix for the problem (2.09 KB, application/octet-stream)
2012-06-06 02:43 UTC, wujinlong
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description zongdj 2012-05-30 03:12:03 UTC
Created attachment 77752 [details]
sample

Buid:
Aoo3.4

Steps:
1.Open the attached sample file
2.Check the sequence number for table, graphic on page1

Bug:
Sequence number can't display.
Comment 1 wujinlong 2012-06-05 09:02:17 UTC
I will work on this.
Comment 2 wujinlong 2012-06-06 02:43:59 UTC
Created attachment 78026 [details]
Fix for the problem

Add code to handle the SEQ field command. Below is a simple example.

{ SEQ Table \* ROMAN }

The logic is 
1) extract the sequence name followed by 'SEQ'
2) create a new field master using the sequence name
3) apply the numbering type  (Roman, Arabic, alphabetic)
4) attach the field master to the field
Comment 3 jsc 2012-06-06 12:59:11 UTC
I have applied the patch locally and build it now to verify the fix.

The next time it would be very helpful to create a patch from the trunk or at least the main directory to have the necessary file path information in the patch.
Comment 4 jsc 2012-06-07 07:58:14 UTC
bug reviewed, built, tested and applied on trunk. 

trunk -> 0
Comment 5 binguo 2012-06-19 02:10:44 UTC
Verified it on Aoo_Trunk_20120616.1800.1350879 and it does not reproduce, so close it as fixed.
Comment 6 Shenfeng Liu 2012-10-09 08:17:46 UTC
set Target Milestone to AOO 3.5.0 for PM purpose.